Summary:	Tools for configuring the console (keyboard, virtual terminals, etc.)
Name:		kbd
Group:		System Environment/Base
License:	GPL
Version:	1.12
Release:	1
Source0:	ftp://ftp.kernel.org/pub/linux/utils/kbd/kbd-%{version}.tar.bz2
Source1:	ftp://ftp.kernel.org/pub/linux/utils/kbd/kbd-%{version}.tar.bz2.sign
Source2:	kbdrate.apps
Source3:	kbdrate.pam
Source4:	keytable.init
Source5:	kbd-latsun-fonts.tar.bz2
Patch0:		kbd-1.08-sparc.patch
Patch1:		kbd-1.08-compose.patch
Patch2:		kbd-1.08-terminal.patch
Patch3:		kbd-1.08-rukbd.patch
Patch4:		kbd-1.12-setfont-man.patch
Patch5:		kbd-1.12-Meta_utf8.patch
Patch6:		kbd-1.12-nostrip.patch
Patch7:		kbd-1.12-alias.patch
Patch8:		kbd-1.12-dir.patch
Requires:	pam >= 0.66, /etc/pam.d/system-auth
PreReq:		sed mktemp initscripts
Conflicts:	util-linux < 2.11r
Obsoletes:	console-tools
Provides:	console-tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The kbd package contains tools for managing a Linux
system's console's behavior, including the keyboard, the screen
fonts, the virtual terminals and font files.

%files
  %defattr(0444,root,root,0555)
  %doc CHANGES CREDITS README doc/*.txt doc/kbd.FAQ*.html
  %doc doc/font-formats/*.html doc/utf/utf*
  %doc %{_mandir}/*/*

  %attr(0444,root,root)	%{_datadir}/locale/*/*/kbd.mo
  %attr(0500,root,root)	%{_root_bindir}/*
  %attr(0500,root,root)	%{_bindir}/*
  %attr(0500,root,root)	%{_sbindir}/*
  %attr(0500,root,root)	%config %{_sysconfdir}/init.d/keytable
  %attr(0400,root,root)	%config %{_sysconfdir}/pam.d/*
  %attr(0711,root,root)	%dir %{_sysconfdir}/security/console.apps
  %attr(0644,root,root)	%{_sysconfdir}/security/console.apps/*

  %defattr(0444,root,root,0555)
  /%{_lib}/kbd

%prep
%setup -q -a 5
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

  # Default to latarcyrheb-sun16 font for unicode
  perl -pi -e 's/LatArCyrHeb-16/latarcyrheb-sun16/' src/unicode_start

  # We don't want the backups to show up on an actually installed system
  # (But we want them after an rpm -bp kbd.spec, so don't remove -b)
  find . -name "*.p[0-9]" |xargs rm -f

%build
  export OLD_PO_FILE_INPUT=yes

  # We don't use % {configure} because the ./configure included here does not
  # understand most of the options.
  export CFLAGS="$RPM_OPT_FLAGS"
  ./configure --prefix=/ --datadir=/lib/kbd --mandir=%{_mandir}

  # Override CFLAGS because this configure ignores them anyway, and LDFLAGS
  # because it defaults to -s, but that's a build policy decision.
  make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS= %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install \
	BINDIR=$RPM_BUILD_ROOT/%{_bindir} \
	LOADKEYS_BINDIR=$RPM_BUILD_ROOT/%{_root_bindir} \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
	datadir=$RPM_BUILD_ROOT/%{_lib}/kbd \
	DATADIR=$RPM_BUILD_ROOT/%{_lib}/kbd \
	gnulocaledir=$RPM_BUILD_ROOT/%{_datadir}/locale \
	localedir=$RPM_BUILD_ROOT/%{_datadir}/locale

  # Move binaries which we use before /usr is mounted from %{_bindir} to /bin.
  for binary in setfont dumpkeys kbd_mode unicode_start unicode_stop ; do
    mv $RPM_BUILD_ROOT%{_bindir}/$binary $RPM_BUILD_ROOT/%{_root_bindir}
  done

  # Add init scripts
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  install %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/keytable

  # Set up kbdrate to be userhelpered.
  mkdir -p $RPM_BUILD_ROOT%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
  mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
  mv $RPM_BUILD_ROOT%{_bindir}/kbdrate $RPM_BUILD_ROOT%{_sbindir}
  ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/kbdrate
  install -c -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/kbdrate
  install -c -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/kbdrate

%post
  /sbin/ldconfig
  /sbin/chkconfig --add keytable

%preun
  if [ $1 = 0 ]; then
    /sbin/chkconfig --del keytable
  fi

%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.12, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
